require './gphys_const_v1.2'
require "numru/ggraph"
include NumRu

dir = '..'

daysOfYear = 0
DaysOfMonth.each do |i|
  daysOfYear += i
end
p 'DEBUG: days in a year: ' + daysOfYear.to_s

figdir = 'figs'
#Dir::mkdir( figdir )

dir = '..'

ncfn = '../util_timemean-2015-11-14/out/VMAr.nc'
gcmvname = 'VMAr'

## gcm opography file
#gcmzsfn    = "/RAID0/yot/work/dcmodel/dcpam/data_Mars/sp_for_Mars_T021_MGS.nc"
#gcmzsvname = "topog"

structdata = Struct.new("Location", :name, :obslon, :obslat, :obsfn, :obsvname, :obszs )

VL1 = structdata.new(
               "VL1",
               360.0 - 48.0,
               22.5,
#               "/hagukumu/yot/work/Mars/VL1_ps_dailyave_ls.nc",
               "/home/yot/work/Mars/VL1_ps_dailyave_ls.nc",
               "ps",
               -3635.0
             )
VL2 = structdata.new(
               "VL2",
               360.0 - 225.7,
               48.0,
#               "/hagukumu/yot/work/Mars/VL2_ps_dailyave_ls.nc",
               "/home/yot/work/Mars/VL2_ps_dailyave_ls.nc",
               "ps",
               -4462.0
             )
MPF = structdata.new(
               "MPF",
               360.0 - 33.21,
               19.17,
#               "/hagukumu/yot/work/Mars/MPF_ASI-MET_ls.nc",
               "/home/yot/work/Mars/MPF_ASI-MET_ls.nc",
               "p_00_12",
               -3676.0
             )

iyrs = 5
iyre = 5
#iyrs = 1
#iyre = 1
NumOfDataPerDay = 1


NumofDataPerYr = daysOfYear * NumOfDataPerDay

structs = [VL1, VL2, MPF]

hemisphere = ['south', 'north']

for l in 0..1

  iobs = 1 # VL2
#  obsname = structs[iobs].name
  obslon = structs[iobs].obslon
  obslat = structs[iobs].obslat
#  obsfn  = "/hagukumu/yot/work/Mars/Mars_Ar_"+hemisphere[l]+".nc"
  obsfn  = "/home/yot/work/Mars/Mars_Ar_"+hemisphere[l]+".nc"
  obsvname = 'ArEF'
#  obszs  = structs[l].obszs

  p 'Year: ' + iyrs.to_s + ' to ' + iyre.to_s

  system('ruby draw_Ar_t.rb ' + ncfn + ' ' + gcmvname + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + hemisphere[l] + ' ' + obslon.to_s + ' ' + obslat.to_s + ' ' + obsfn + ' ' + obsvname )

#  system("pstoimg -type gif -flip r270 dcl.pdf")
#  com = sprintf( "mv dcl.gif " + figdir + "/dcl_ps_"+obsname+".gif" )
#  system(com)
  com = sprintf( "mv dcl.pdf " + figdir + "/dcl_Ar_"+hemisphere[l]+".pdf" )
  system(com)
end
